package com.navinfo.outdoor.bean;

import java.util.List;

public class HasSubmitBean {

    private Integer code;
    private String message;
    private BodyBean body;

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        private Integer pageNum;
        private Integer pageSize;
        private Integer totalPage;
        private Integer total;
        private List<ListBean> list;
        private Integer type;
        private Integer auditingCount;
        private Integer passCount;
        private Integer notPassCount;

        public Integer getPageNum() {
            return pageNum;
        }

        public void setPageNum(Integer pageNum) {
            this.pageNum = pageNum;
        }

        public Integer getPageSize() {
            return pageSize;
        }

        public void setPageSize(Integer pageSize) {
            this.pageSize = pageSize;
        }

        public Integer getTotalPage() {
            return totalPage;
        }

        public void setTotalPage(Integer totalPage) {
            this.totalPage = totalPage;
        }

        public Integer getTotal() {
            return total;
        }

        public void setTotal(Integer total) {
            this.total = total;
        }

        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public Integer getType() {
            return type;
        }

        public void setType(Integer type) {
            this.type = type;
        }

        public Integer getAuditingCount() {
            return auditingCount;
        }

        public void setAuditingCount(Integer auditingCount) {
            this.auditingCount = auditingCount;
        }

        public Integer getPassCount() {
            return passCount;
        }

        public void setPassCount(Integer passCount) {
            this.passCount = passCount;
        }

        public Integer getNotPassCount() {
            return notPassCount;
        }

        public void setNotPassCount(Integer notPassCount) {
            this.notPassCount = notPassCount;
        }

        public static class ListBean {
            private Integer auditStatus;
            private String auditMsg;
            private String name;
            private Integer userId;
            private String createTime;
            private Integer type;

            public Integer getAuditStatus() {
                return auditStatus;
            }

            public void setAuditStatus(Integer auditStatus) {
                this.auditStatus = auditStatus;
            }

            public String getAuditMsg() {
                return auditMsg;
            }

            public void setAuditMsg(String auditMsg) {
                this.auditMsg = auditMsg;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public Integer getUserId() {
                return userId;
            }

            public void setUserId(Integer userId) {
                this.userId = userId;
            }

            public String getCreateTime() {
                return createTime;
            }

            public void setCreateTime(String createTime) {
                this.createTime = createTime;
            }

            public Integer getType() {
                return type;
            }

            public void setType(Integer type) {
                this.type = type;
            }
        }
    }
}
